# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?__python2: %global __python2 %__python}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%global srcname gamera
%global sum Gamera is a framework for building document analysis applications.

Name:           python-%{srcname}
Version:        3.4.2
Release:        1%{?dist}
Summary:        %{sum}

License:        GPLv2
URL:            https://github.com/hsnr-gamera/gamera
Source0:        https://github.com/hsnr-gamera/gamera/releases/download/3.4.2/gamera-3.4.2.tar.gz

BuildRequires:  python2-devel
BuildRequires:	wxPython
BuildRequires:	gcc
BuildRequires:	libpng
BuildRequires:	libtiff

%description
Gamera is a framework for building document analysis applications. It is not a packaged document recognition system, but a toolkit for building document image recognition systems.
For more information about Gamera, visit the Gamera website at:
http://gamera.informatik.hsnr.de/

%prep
%autosetup -c

%build
%{__python2} setup.py build

%install
# Must do the python2 install first because the scripts in /usr/bin are
# overwritten with every setup.py install, and in general we want the
# python3 version to be the default.
# If, however, we're installing separate executables for python2 and python3,
# the order needs to be reversed so the unversioned executable is the python2 one.
%py2_install
# C++ Source files not required
rm -rf  %{buildroot}/%{python2_sitelib}

%files
%license LICENSE
%doc README
# For noarch packages: sitelib
%{_bindir}/gamera*
%{python2_sitearch}/*
%{_includedir}/*

%changelog
* Mon Feb 27 2017 Vincent Saulnier <vincent@casperlefantom.net> - 3.4.2-1
- Initial Spec file 
